coap_lg_crcv_t Struct Reference
Block (Internal)

Structure to hold large body (many blocks) client receive information. More...

`#include <coap_block_internal.h>`

Collaboration diagram for coap_lg_crcv_t:
[legend]

## Data Fields

struct coap_lg_crcv_t * | next
uint8_t | observe [3]
| Observe data (if set) (only 24 bits) More...
uint8_t | observe_length
| Length of observe data. More...
uint8_t | observe_set
| Set if this is an observe receive PDU. More...
uint8_t | etag_set
| Set if ETag is in receive PDU. More...
uint8_t | etag_length
| ETag length. More...
uint8_t | etag [8]
| ETag for block checking. More...
uint16_t | content_format
| Content format for the set of blocks. More...
uint8_t | last_type
| Last request type (CON/NON) More...
uint8_t | initial
| If set, has not been used yet. More...
uint8_t | szx
| size of individual blocks More...
size_t | total_len
| Length as indicated by SIZE2 option. More...
coap_binary_t * | body_data
| Used for re-assembling entire body. More...
coap_binary_t * | app_token
| app requesting PDU token More...
uint8_t | base_token [8]
| established base PDU token More...
size_t | base_token_length
| length of token More...
uint8_t | token [8]
| last used token More...
size_t | token_length
| length of token More...
coap_pdu_t | pdu
| skeletal PDU More...
coap_rblock_t | rec_blocks
coap_tick_t | last_used
| < list of received blocks More...
uint16_t | block_option
| Block option in use. More...

## Detailed Description

Structure to hold large body (many blocks) client receive information.

Definition at line 99 of file coap_block_internal.h.

## Field Documentation

## app_token

coap_binary_t* coap_lg_crcv_t::app_token

app requesting PDU token

Definition at line 113 of file coap_block_internal.h.

## base_token

uint8_t coap_lg_crcv_t::base_token[8]

established base PDU token

Definition at line 114 of file coap_block_internal.h.

## base_token_length

size_t coap_lg_crcv_t::base_token_length

length of token

Definition at line 115 of file coap_block_internal.h.

## block_option

uint16_t coap_lg_crcv_t::block_option

Block option in use.

Definition at line 121 of file coap_block_internal.h.

## body_data

coap_binary_t* coap_lg_crcv_t::body_data

Used for re-assembling entire body.

Definition at line 112 of file coap_block_internal.h.

## content_format

uint16_t coap_lg_crcv_t::content_format

Content format for the set of blocks.

Definition at line 107 of file coap_block_internal.h.

## etag

uint8_t coap_lg_crcv_t::etag[8]

ETag for block checking.

Definition at line 106 of file coap_block_internal.h.

## etag_length

uint8_t coap_lg_crcv_t::etag_length

ETag length.

Definition at line 105 of file coap_block_internal.h.

## etag_set

uint8_t coap_lg_crcv_t::etag_set

Set if ETag is in receive PDU.

Definition at line 104 of file coap_block_internal.h.

## initial

uint8_t coap_lg_crcv_t::initial

If set, has not been used yet.

Definition at line 109 of file coap_block_internal.h.

## last_type

uint8_t coap_lg_crcv_t::last_type

Last request type (CON/NON)

Definition at line 108 of file coap_block_internal.h.

## last_used

coap_tick_t coap_lg_crcv_t::last_used

< list of received blocks

Last time all data sent or 0

Definition at line 120 of file coap_block_internal.h.

## next

struct coap_lg_crcv_t* coap_lg_crcv_t::next

Definition at line 100 of file coap_block_internal.h.

## observe

uint8_t coap_lg_crcv_t::observe[3]

Observe data (if set) (only 24 bits)

Definition at line 101 of file coap_block_internal.h.

## observe_length

uint8_t coap_lg_crcv_t::observe_length

Length of observe data.

Definition at line 102 of file coap_block_internal.h.

## observe_set

uint8_t coap_lg_crcv_t::observe_set

Set if this is an observe receive PDU.

Definition at line 103 of file coap_block_internal.h.

## pdu

coap_pdu_t coap_lg_crcv_t::pdu

skeletal PDU

Definition at line 118 of file coap_block_internal.h.

## rec_blocks

coap_rblock_t coap_lg_crcv_t::rec_blocks

Definition at line 119 of file coap_block_internal.h.

## szx

uint8_t coap_lg_crcv_t::szx

size of individual blocks

Definition at line 110 of file coap_block_internal.h.

## token

uint8_t coap_lg_crcv_t::token[8]

last used token

Definition at line 116 of file coap_block_internal.h.

## token_length

size_t coap_lg_crcv_t::token_length

length of token

Definition at line 117 of file coap_block_internal.h.

## total_len

size_t coap_lg_crcv_t::total_len

Length as indicated by SIZE2 option.

Definition at line 111 of file coap_block_internal.h.

The documentation for this struct was generated from the following file:

- coap_block_internal.h